Name:           python-aimodelshare
Version:        0.1.29
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Deploy locally saved machine learning models to a live rest API and web-dashboard.  Share it with the world via modelshare.org

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://www.modelshare.org
Source:         %{pypi_source aimodelshare}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'aimodelshare' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-aimodelshare
Summary:        %{summary}

%description -n python3-aimodelshare %_description


%prep
%autosetup -p1 -n aimodelshare-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-aimodelshare -f %{pyproject_files}


%changelog
%autochangelog